INTERFACE
SUBROUTINE SRTM_REFTRA&
 & ( KIDIA , KFDIA, KLEV , KMODTS,&
 & LDRTCHK,&
 & PGG , PRMUZ, PTAU , PW,&
 & PREF , PREFD, PTRA , PTRAD&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARSRTM , ONLY : JPLAY
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(OUT) :: KMODTS
LOGICAL ,INTENT(IN) :: LDRTCHK(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(IN) :: PGG(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMUZ(KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAU(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(IN) :: PW(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREF(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREFD(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRA(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRAD(KIDIA:KFDIA,JPLAY)
END SUBROUTINE SRTM_REFTRA
END INTERFACE
